NNG_STAT_VALUE(3)

NAME
nng_stat_value - get statistic numeric value

SYNOPSIS

    #include <nng/nng.h>
    typedef struct nng_stat nng_stat;
    uint64_t nng_stat_value(nng_stat *stat);

DESCRIPTION

The nng_stat_value() function returns a numeric value for the statistic stat. If the statistic is not of numeric type, then zero is returned. See nng_stat_type() for a description of statistic types.

RETURN VALUES

The numeric value associated with stat.

ERRORS

None.

SEE ALSO

libnng(3), nng_stats_get(3), nng_stat_bool(3), nng_stat_type(3), nng_stat_unit(3), nng_stat(5), nng(7)